package android.image;

import android.graphics.*;

/**
 * <style type='text/css'><!--
 *    .com{ font-style: italic; color: #880000; }
 *    .keyw{ font-weight: bold; color: #000088; }
 *    .num{ color: #00AA00; }
 *    .str{ color: #CC00AB; }
 *    .prim{ color: #0000FF; }
 *    img.example{ padding-left: 50px; padding-bottom: 30px; }
 *  --></style>
 *
 * Represents an Image of an Ellipse.
 * 
 * <pre>
 *    <span class='keyw'>new</span> Ellipse(<span class='num'>40</span>, <span class='num'>20</span>, <span class='str'>"outline"</span>, <span class='str'>"black"</span>)</pre>
 * <img class="example" src="test/images/ellipse-1.png" />
 * <br />
 *  
 * <pre>
 *    <span class='keyw'>new</span> Ellipse(<span class='num'>20</span>, <span class='num'>40</span>, <span class='str'>"solid"</span>, <span class='str'>"blue"</span>)</pre>
 * <img class="example" src="test/images/ellipse-2.png" />
 * <br />
 * 
 */
public class Ellipse extends Rectangle{
    
    /** Create a Ellipse Image with (double) width and height, mode and color */
    public Ellipse(double width, double height, String mode, String color){
        this(round(width),round(height),mode,color);
    }
    /** Create a Ellipse Image with (int) width and height, mode and color */
    public Ellipse(int width, int height, String mode, String color){
        super(width,height,mode,color);
    }
    /** Paint this Scene into the given graphics */
    public void paint(Canvas c, int x, int y){
        c.drawOval(new RectF(x-pinholeX,y-pinholeY,x-pinholeX+width,y-pinholeY+height), paint);
    }
}