package android.image;

/**
 * <style type='text/css'><!--
 *    .com{ font-style: italic; color: #880000; }
 *    .keyw{ font-weight: bold; color: #000088; }
 *    .num{ color: #00AA00; }
 *    .str{ color: #CC00AB; }
 *    .prim{ color: #0000FF; }
 *    img.example{ padding-left: 50px; padding-bottom: 30px; }
 *  --></style>
 *  
 * Represents an Image of a Square.
 *  
 * <pre>
 *    <span class='keyw'>new</span> Square(<span class='num'>40</span>, <span class='str'>"solid"</span>, <span class='str'>"slateblue"</span>)</pre>
 * <img class="example" src="test/images/square-1.png" />
 * <br />
 *
 * <pre>
 *    <span class='keyw'>new</span> Square(<span class='num'>50</span>, <span class='str'>"outline"</span>, <span class='str'>"darkmagenta"</span>)</pre>
 * <img class="example" src="test/images/square-2.png" />
 * <br />
 *   
 */
public class Square extends Rectangle{
    
    /** Create a Square Image with (double) size, mode and color */
    public Square(double size, String mode, String color){
        this(round(size),mode,color);
    }
    /** Create a Square Image with (int) size, mode and color */
    public Square(int size, String mode, String color){
        super(size,size,mode,color);
    }
}